Create
curl --request POST \
--url https://api.ngrok.com/backends/static \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'ngrok-version: <ngrok-version>' \
--data '
{
"description": "<string>",
"metadata": "<string>",
"address": "<string>",
"tls": {
"enabled": true
}
}
'import requests
url = "https://api.ngrok.com/backends/static"
payload = {
"description": "<string>",
"metadata": "<string>",
"address": "<string>",
"tls": { "enabled": True }
}
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'ngrok-version': '<ngrok-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: '<string>',
metadata: '<string>',
address: '<string>',
tls: {enabled: true}
})
};
fetch('https://api.ngrok.com/backends/static', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"created_at": "<string>",
"description": "<string>",
"metadata": "<string>",
"address": "<string>",
"tls": {
"enabled": true
}
}Static Backends
Create
Create a new static backend
POST
/
backends
/
static
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
201 - application/json
Create a new static backend
unique identifier for this static backend
URI of the StaticBackend API resource
timestamp when the backend was created, RFC 3339 format
human-readable description of this backend. Optional
arbitrary user-defined machine-readable data of this backend. Optional
the address to forward to
tls configuration to use
Show child attributes
Show child attributes
Was this page helpful?
⌘I